aboutsummaryrefslogtreecommitdiffstats
path: root/testing/notmuch/APKBUILD
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2016-04-19 13:43:33 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-20 10:13:40 +0000
commitf84909fce532ec3cb00314783764eb94cc3afe78 (patch)
treee44ff71c0c5dc7523175cf45b6a0ce9c769d4c1d /testing/notmuch/APKBUILD
parent70ba2b9e4e3bc6b9d8df9734cc79513ac900e687 (diff)
downloadaports-f84909fce532ec3cb00314783764eb94cc3afe78.tar.gz
aports-f84909fce532ec3cb00314783764eb94cc3afe78.tar.bz2
aports-f84909fce532ec3cb00314783764eb94cc3afe78.tar.xz
testing/notmuch: new aport
E-Mail index, search and tagging https://notmuchmail.org/
Diffstat (limited to 'testing/notmuch/APKBUILD')
-rw-r--r--testing/notmuch/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/notmuch/APKBUILD b/testing/notmuch/APKBUILD
new file mode 100644
index 0000000000..7545c572af
--- /dev/null
+++ b/testing/notmuch/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Stefan Wagner <stw@bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
+pkgname=notmuch
+pkgver=0.21
+pkgrel=0
+pkgdesc="E-Mail index, search and tagging"
+url="https://notmuchmail.org/"
+arch="all"
+license="GPL3"
+makedepends="gzip xapian-core-dev gmime-dev talloc-dev py-sphinx"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://notmuchmail.org/releases/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr || return 1
+ make PREFIX=/usr DESTDIR="$pkgdir"
+}
+
+package() {
+ cd "$builddir"
+ make PREFIX=/usr DESTDIR="$pkgdir" install
+}
+
+md5sums="a951212b8c4624e9a2069e9d9e00222b notmuch-0.21.tar.gz"
+sha256sums="d06f8ffed168c7d53ffc449dd611038b5fa90f7ee22d58f3bec3b379571e25b3 notmuch-0.21.tar.gz"
+sha512sums="2485c422433be21f6bf89aaf997e1468c31a52029ddc8336e78a632b292c659569448c29813ea550ed27fb6815558522a451a7fa10e8fb3f87d9538b4dd7b01a notmuch-0.21.tar.gz"